Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 183423 - media-libs/babl-0.0.14 (New package)
Summary: media-libs/babl-0.0.14 (New package)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.gegl.org/babl/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: 149644 183425
  Show dependency tree
 
Reported: 2007-06-27 15:49 UTC by Piotr Szymaniak
Modified: 2008-12-05 11:23 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-libs/babl-0.0.14.ebuild (babl-0.0.14.ebuild,562 bytes, text/plain)
2007-06-27 15:50 UTC, Piotr Szymaniak
Details
media-libs/babl-0.0.20.ebuild (babl-0.0.20.ebuild,567 bytes, text/plain)
2008-03-02 21:58 UTC, Christoph Brill (egore) (RESIGNED)
Details
media-libs/babl-0.0.22.ebuild (babl-0.0.22.ebuild,572 bytes, text/plain)
2008-06-14 21:31 UTC, quazgar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Szymaniak 2007-06-27 15:49:49 UTC
Babl is a dynamic, any to any, pixel format conversion library. It provides conversions between the myriad of buffer types images can be stored in. Babl doesn't only help with existing pixel formats, but also facilitates creation of new and uncommon ones.

Reproducible: Always

Steps to Reproduce:
Comment 1 Piotr Szymaniak 2007-06-27 15:50:21 UTC
Created attachment 123214 [details]
media-libs/babl-0.0.14.ebuild
Comment 2 Yohan 2007-11-22 14:50:57 UTC
Basically you won't be needing the src_unpack part as it'll be done
automagically from eutils.eclass
Comment 3 Christoph Brill (egore) (RESIGNED) 2008-03-02 21:58:45 UTC
Created attachment 145140 [details]
media-libs/babl-0.0.20.ebuild

Bump to 0.0.20 and major rework the ebuild. The inkscape and w3m stuff is autodetected by configure.ac, no parameters for ./configure available.
Comment 4 Michael Klapproth 2008-06-13 23:55:37 UTC
Since a few days gimp-9999 requires babl-0.0.22. Just bump 0.0.20 to 0.0.22 (simply rename the ebuild, no change were for me required to compile babl + gimp-9999)
Comment 5 quazgar 2008-06-14 21:31:19 UTC
Created attachment 156783 [details]
media-libs/babl-0.0.22.ebuild

renamed ebuild: media-libs/babl-0.0.22.ebuild works fine here on amd64
Comment 6 Alexander Wright 2008-08-21 16:45:50 UTC
media-libs/babl-0.0.22.ebuild works for me on AMD64
Comment 7 Hanno Böck gentoo-dev 2008-10-07 21:32:55 UTC
added to the tree